AUTHTEST(1)

NAME
authtest - Test the Courier Authentication Library

SYNOPSIS

authtest {loginid} [password] [newpassword]

DESCRIPTION

authtest is a command-line diagnostic utility for the Courier Authentication Library. authtest requires at least one argument: loginid. authtest sends the authentication request to the Courier Authentication Library, then displays the results. Only root may use authtest utility, and the Courier Authentication Library daemon (authdaemond) must already be started.

If only one argument is provided, the authentication request displays the account information for loginid, if found.

If two arguments are provided, password must match loginid's existing password.

If three arguments are provided, loginid's password is changed to newpassword, but only if password matches the existing password.

These three basic authentication requests can be used to troubleshoot the authentication library's configuration.